Skip to content
中文

FLUX.1 [Schell] Redux

Method: POSTEndpoint: /fal-ai/flux-1/schnell/redux

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
image_url
string
Required
  // provider-specific example normalized for English documentation
image_size
Optional
  // provider-specific example normalized for English documentation
One of:
string
object
Enum Values:
square_hd
square
portrait_4_3
portrait_16_9
landscape_4_3
landscape_16_9
num_inference_steps
integer
  // provider-specific example normalized for English documentation
Optional
>= 1
<= 12
Default Value:
4
seed
integer
|
null
Optional
  // provider-specific example normalized for English documentation
sync_mode
boolean
  // provider-specific example normalized for English documentation
Optional
Default Value:
false
num_images
integer
  // provider-specific example normalized for English documentation
Optional
>= 1
<= 4
Default Value:
1
enable_safety_checker
boolean
Optional
  // provider-specific example normalized for English documentation
Default Value:
true
Example
{
"image_url"
:
"string"
,
"image_size"
:
"square_hd"
,
"num_inference_steps"
:
4
,
"seed"
:
0
,
"sync_mode"
:
false
,
"num_images"
:
1
,
"enable_safety_checker"
:
true
}

Example Request

Shell

bash
curl --location --request POST '/fal-ai/flux-1/schnell/redux' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "image_url": "string",
    "image_size": "square_hd",
    "num_inference_steps": 4,
    "seed": 0,
    "sync_mode": false,
    "num_images": 1,
    "enable_safety_checker": true
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
status
string
Required
request_id
string
Required
response_url
string
Required
status_url
string
Required
cancel_url
string
Required
logs
object
Required
metrics
object
Required
queue_position
integer
Required

Example

json
{
  "status": "IN_QUEUE",
  "request_id": "xxx123",
  "response_url": "https://queue.fal.run/xxx/response",
  "status_url": "https://queue.fal.run/xxx/status",
  "cancel_url": "https://queue.fal.run/xxx/cancel",
  "logs": {},
  "metrics": {},
  "queue_position": 2
}